Commit 240b97c9 authored by seinturi's avatar seinturi

The artifacts were previously deployed in an FraSCAti nexus OW2 repository...

The artifacts were previously deployed in an FraSCAti nexus OW2 repository that seems to be no longer available.
parent 50107160
29b6c03771b9e45eecb9f6e8aff502e8677797c5
\ No newline at end of file
<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
<modelVersion>4.0.0</modelVersion>
<groupId>org.eclipse.emf</groupId>
<artifactId>common</artifactId>
<version>2.4.0</version>
<description>EMF Common</description>
<dependencies>
<dependency>
<groupId>org.eclipse.core</groupId>
<artifactId>runtime</artifactId>
<version>3.4.0</version>
</dependency>
</dependencies>
</project>
\ No newline at end of file
18375191fa5469c542581bfe4f8510c65fe9389d
\ No newline at end of file
488f104ffb5dc6e409ba0b2b6fe90242745a5c9c
\ No newline at end of file
<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
<modelVersion>4.0.0</modelVersion>
<groupId>org.eclipse.emf</groupId>
<artifactId>ecore</artifactId>
<version>2.4.0</version>
<description>EMF Ecore</description>
<dependencies>
<dependency>
<groupId>org.eclipse.core</groupId>
<artifactId>runtime</artifactId>
<version>3.4.0</version>
</dependency>
<dependency>
<groupId>org.eclipse.core</groupId>
<artifactId>resources</artifactId>
<version>3.4.0</version>
<optional>true</optional>
</dependency>
<dependency>
<groupId>org.eclipse.emf</groupId>
<artifactId>common</artifactId>
<version>2.4.0</version>
</dependency>
</dependencies>
</project>
\ No newline at end of file
0f6086b2727b8187fd8074372f0e4353190b9603
\ No newline at end of file
bb0a70a1e5407bbb706e0ac8a7ea36bf64035b92
\ No newline at end of file
<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
<modelVersion>4.0.0</modelVersion>
<groupId>org.eclipse.emf.ecore</groupId>
<artifactId>xmi</artifactId>
<version>2.4.0</version>
<description>EMF XML/XMI Persistence</description>
<dependencies>
<dependency>
<groupId>org.eclipse.core</groupId>
<artifactId>runtime</artifactId>
<version>3.4.0</version>
</dependency>
<dependency>
<groupId>org.eclipse.emf</groupId>
<artifactId>ecore</artifactId>
<version>2.4.0</version>
</dependency>
</dependencies>
</project>
\ No newline at end of file
51acffdb80ac4a4bcfbfd4964437678166600028
\ No newline at end of file
<?xml version="1.0"?>
<!--
* Eclipse STP SCA Tools
*
* Copyright (c) 2009-2011 INRIA, University of Lille 1
*
* This library is free software; you can redistribute it and/or
* modify it under the terms of the GNU Lesser General Public
* License as published by the Free Software Foundation; either
* version 2 of the License, or (at your option) any later version.
*
* This library is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this library; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-->
<project xmlns="http://maven.apache.org/POM/4.0.0"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
<modelVersion>4.0.0</modelVersion>
<groupId>org.ow2.frascati.model</groupId>
<artifactId>model-parent</artifactId>
<version>2.0.1.3</version>
<packaging>pom</packaging>
<parent>
<groupId>org.ow2</groupId>
<artifactId>ow2</artifactId>
<version>1.3</version>
<relativePath></relativePath>
</parent>
<name>OW2 FraSCAti SCA model (relies on Eclipse STP SCA Tools)</name>
<!-- ========== -->
<!-- Properties -->
<!-- ========== -->
<properties>
<stp.scm.url>svn://dev.eclipse.org/svnroot/soa/org.eclipse.stp.sca-tools/org.eclipse.stp.sca/tags/3.5SR1</stp.scm.url>
<!-- Eclipse EMF Artifacts version -->
<emf.version>2.4.0</emf.version>
<eclipse.version>3.4.0</eclipse.version>
</properties>
<!-- ======= -->
<!-- Modules -->
<!-- ======= -->
<modules>
<module>org.eclipse.stp.sca</module>
<module>org.eclipse.stp.sca.csa</module>
<module>org.eclipse.stp.sca.osoa.java</module>
<module>org.eclipse.stp.sca.domainmodel.frascati</module>
<module>org.eclipse.stp.sca.domainmodel.tuscany</module>
<module>org.eclipse.stp.sca.introspection</module>
</modules>
<!-- ====== -->
<!-- Build. -->
<!-- ====== -->
<build>
<defaultGoal>install</defaultGoal>
<!-- ================= -->
<!-- Plugin management -->
<!-- ================= -->
<pluginManagement>
<plugins>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-scm-plugin</artifactId>
<version>1.6</version>
<executions>
<execution>
<id>checkout</id>
<phase>generate-sources</phase>
<goals>
<goal>checkout</goal>
</goals>
</execution>
</executions>
<configuration>
<goals>compile</goals>
</configuration>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-compiler-plugin</artifactId>
<version>2.3.2</version>
<configuration>
<source>1.5</source>
<target>1.5</target>
</configuration>
</plugin>
<plugin>
<groupId>org.codehaus.mojo</groupId>
<artifactId>build-helper-maven-plugin</artifactId>
<version>1.7</version>
<executions>
<execution>
<id>add-source</id>
<phase>generate-sources</phase>
<goals>
<goal>add-source</goal>
</goals>
<configuration>
<sources>
<source>${basedir}/target/checkout</source>
</sources>
</configuration>
</execution>
</executions>
</plugin>
</plugins>
</pluginManagement>
</build>
<!-- ======================= -->
<!-- Dependencies management -->
<!-- ======================= -->
<!--
specify which versions are used across all modules. single
modules are still required to declare their dependency, but not
the version, which is handled globally by the
dependencyManagement section.
-->
<dependencyManagement>
<dependencies>
<!-- EMF -->
<dependency>
<groupId>org.eclipse.emf</groupId>
<artifactId>ecore</artifactId>
<version>${emf.version}</version>
</dependency>
<dependency>
<groupId>org.eclipse.emf.ecore</groupId>
<artifactId>xmi</artifactId>
<version>${emf.version}</version>
</dependency>
<dependency>
<groupId>org.eclipse.emf</groupId>
<artifactId>common</artifactId>
<version>${emf.version}</version>
</dependency>
<dependency>
<groupId>org.eclipse</groupId>
<artifactId>osgi</artifactId>
<version>3.3.0-v20070530</version>
</dependency>
<dependency>
<groupId>org.eclipse.core</groupId>
<artifactId>resources</artifactId>
<version>${eclipse.version}</version>
<scope>provided</scope>
</dependency>
<dependency>
<groupId>org.eclipse.core</groupId>
<artifactId>runtime</artifactId>
<version>${eclipse.version}</version>
<scope>provided</scope>
</dependency>
</dependencies>
</dependencyManagement>
<!-- ============= -->
<!-- Repositories -->
<!-- ============= -->
<repositories>
<repository>
<id>frascati-repo</id>
<name>FraSCAti Nexus repository</name>
<url>https://frascati-repo.inria.fr/nexus/content/groups/public</url>
<releases>
<enabled>true</enabled>
</releases>
<snapshots>
<enabled>true</enabled>
</snapshots>
</repository>
</repositories>
<pluginRepositories>
<pluginRepository>
<id>frascati-repo</id>
<name>FraSCAti Nexus repository</name>
<url>https://frascati-repo.inria.fr/nexus/content/groups/public</url>
<releases>
<enabled>true</enabled>
</releases>
<snapshots>
<enabled>true</enabled>
</snapshots>
</pluginRepository>
</pluginRepositories>
<!-- ======================================================= -->
<!-- Profile used to deploy on the FraSCAti Nexus repository -->
<!-- ======================================================= -->
<profiles>
<profile>
<id>frascati-repo</id>
<distributionManagement>
<repository>
<id>frascati-release</id>
<name>OW2 FraSCAti release repository</name>
<url>https://frascati-repo.inria.fr/nexus/content/repositories/releases</url>
</repository>
<snapshotRepository>
<id>frascati-snapshot</id>
<name>OW2 FraSCAti snapshot repository</name>
<url>https://frascati-repo.inria.fr/nexus/content/repositories/snapshots</url>
</snapshotRepository>
</distributionManagement>
</profile>
</profiles>
</project>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
<modelVersion>4.0.0</modelVersion>
<groupId>org.ow2.frascati.model</groupId>
<artifactId>sca-model</artifactId>
<packaging>jar</packaging>
<name>Eclipse STP/SCA Project: SCA Model</name>
<parent>
<groupId>org.ow2.frascati.model</groupId>
<artifactId>model-parent</artifactId>
<version>2.0.1.3</version>
</parent>
<description>
To install the artifact:
mvn install
</description>
<!-- === -->
<!-- SCM -->
<!-- === -->
<scm>
<connection>scm:svn:${stp.scm.url}/org.eclipse.stp.sca</connection>
</scm>
<!-- ===== -->
<!-- Build -->
<!-- ===== -->
<build>
<defaultGoal>install</defaultGoal>
<plugins>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-scm-plugin</artifactId>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-compiler-plugin</artifactId>
</plugin>
<plugin>
<groupId>org.codehaus.mojo</groupId>
<artifactId>build-helper-maven-plugin</artifactId>
<executions>
<execution>
<configuration>
<sources>
<source>${basedir}/target/checkout/src</source>
<source>${basedir}/target/checkout/customsrc</source>
</sources>
</configuration>
</execution>
</executions>
</plugin>
</plugins>
</build>
<!-- ============ -->
<!-- Dependencies -->
<!-- ============ -->
<dependencies>
<!-- EMF -->
<dependency>
<groupId>org.eclipse.emf</groupId>
<artifactId>ecore</artifactId>
<!-- Exclusion of Eclipse artifacts not strictly required. -->
<exclusions>
<!-- The following artifacts are required.
<exclusion>
<groupId>org.eclipse</groupId>
<artifactId>osgi</artifactId>
</exclusion>
<exclusion>
<groupId>org.eclipse.equinox</groupId>
<artifactId>common</artifactId>
</exclusion>
<exclusion>
<groupId>org.eclipse.core</groupId>
<artifactId>jobs</artifactId>
</exclusion>
-->
<exclusion>
<groupId>org.eclipse.equinox</groupId>
<artifactId>registry</artifactId>
</exclusion>
<exclusion>
<groupId>org.eclipse.equinox</groupId>
<artifactId>preferences</artifactId>
</exclusion>
<exclusion>
<groupId>org.eclipse.equinox</groupId>
<artifactId>app</artifactId>
</exclusion>
<exclusion>
<groupId>org.eclipse.core</groupId>
<artifactId>contenttype</artifactId>
</exclusion>
</exclusions>
</dependency>
<dependency>
<groupId>org.eclipse.emf.ecore</groupId>
<artifactId>xmi</artifactId>
</dependency>
<dependency>
<groupId>org.eclipse.emf</groupId>
<artifactId>common</artifactId>
</dependency>
<dependency>
<groupId>org.eclipse.core</groupId>
<artifactId>resources</artifactId>
</dependency>
</dependencies>
</project>
......@@ -38,4 +38,15 @@
</dependency>
</dependencies>
<repositories>
<repository>
<id>frascati-model-release</id>
<name>FraSCAti Model Repository</name>
<url>file:${project.basedir}/lib</url>
<releases><enabled>true</enabled></releases>
<snapshots><enabled>false</enabled></snapshots>
</repository>
</repositories>
</project>
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment